# Uses of Interface
org.eclipse.ui.IKeyBindingService

Packages that use IKeyBindingService
Package
Description
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.internal
org.eclipse.ui.intro
Application programming interfaces for interaction with and extension of the product introduction parts.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of IKeyBindingService in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return IKeyBindingService
Modifier and Type
Method
Description
`IKeyBindingService`
ISynchronizePageSite.`getKeyBindingService()`
Get the keybinding service for the site or `null` if one is not available.

## Uses of IKeyBindingService in org.eclipse.ui

Subinterfaces of IKeyBindingService in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`INestableKeyBindingService`
Deprecated.
This is now handled by `IServiceLocator` which can be nested.
Methods in org.eclipse.ui that return IKeyBindingService
Modifier and Type
Method
Description
`IKeyBindingService`
INestableKeyBindingService.`getKeyBindingService(IWorkbenchSite nestedSite)`
Deprecated.
An accessor for the nested key binding service associated with a particular site.
`IKeyBindingService`
IWorkbenchPartSite.`getKeyBindingService()`
Deprecated.
Use `IServiceLocator.getService(Class)` instead.

## Uses of IKeyBindingService in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IKeyBindingService
Modifier and Type
Class
Description
`final class`
`KeyBindingService`
This service provides a nestable implementation of a key binding service.
Methods in org.eclipse.ui.internal that return IKeyBindingService
Modifier and Type
Method
Description
`IKeyBindingService`
KeyBindingService.`getKeyBindingService(IWorkbenchSite nestedSite)`
`IKeyBindingService`
PartSite.`getKeyBindingService()`

## Uses of IKeyBindingService in org.eclipse.ui.intro

Methods in org.eclipse.ui.intro that return IKeyBindingService
Modifier and Type
Method
Description
`IKeyBindingService`
IIntroSite.`getKeyBindingService()`
Deprecated.
Use IServiceLocator#getService(*) to retrieve IContextService and IHandlerService instead.

## Uses of IKeyBindingService in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return IKeyBindingService
Modifier and Type
Method
Description
`IKeyBindingService`
MultiPageEditorSite.`getKeyBindingService()`